{% load static %}
{% load i18n %}
<nav class="navbar navbar-light navbar-expand-lg bg-light navbar-static-top">
    <div class="container">
        <!-- Brand and toggle get grouped for better mobile display -->
        <a class="navbar-brand" id="logo" href="{% url 'bookings:home' %}">
            <img src="{% static 'logo-bde-navbar.png' %}" alt="Logo BdE">
            Resa
        </a>
        <button type="button" class="navbar-toggler collapsed ms-2" data-bs-toggle="collapse"
                data-bs-target="#navbar-collapse" aria-controls="navbar-collapse" aria-expanded="false">
            <span class="visually-hidden">Toggle navigation</span>
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="navbar-collapse">
            <div class="navbar-text me-2">
                <a class="btn btn-outline-info" href="{% url 'bookings:help' %}">{% translate 'Aide' %}</a>
            </div>
            <ul class="nav navbar-nav ms-auto">
                {% if not user.is_authenticated %}
                    <li>
                        <a class="btn btn-primary" href="{% url 'oauth_login' provider='microsoft' %}?next={{ request.path }}">
                            Se connecter avec Sharepoint
                        </a>
                    </li>
                {% else %}
                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" data-bs-toggle="dropdown" type="button" aria-haspopup="true"
                           aria-expanded="false">
                            {% firstof user.get_full_name user.get_username %}
                        </button>
                        <div class="dropdown-menu">
                            {% if user.is_staff %}
                                <a class="dropdown-item" href="{% url 'admin:index' %}">Admin</a>
                                <div class="dropdown-divider"></div>
                            {% endif %}
                            <form id="logout-form" method="post" action="{% url 'logout' %}">
                              {% csrf_token %}
                              <button type="submit" class="dropdown-item">{% translate "Déconnexion" %}</button>
                            </form>
                        </div>
                    </div>
                {% endif %}
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container -->
</nav>